Mercurial > emacs
comparison configure @ 90733:99e0a3426753
Regenerate configure with autoconf 2.61
Revision: emacs@sv.gnu.org/emacs--unicode--0--patch-159
author | Miles Bader <miles@gnu.org> |
---|---|
date | Mon, 01 Jan 2007 03:21:18 +0000 |
parents | bc10a33dd40b |
children | 95d0cdf160ea |
comparison
equal
deleted
inserted
replaced
90732:bc10a33dd40b | 90733:99e0a3426753 |
---|---|
612 #endif | 612 #endif |
613 #ifdef HAVE_UNISTD_H | 613 #ifdef HAVE_UNISTD_H |
614 # include <unistd.h> | 614 # include <unistd.h> |
615 #endif" | 615 #endif" |
616 | 616 |
617 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA RANLIB ac_ct_RANLIB INSTALL_INFO GZIP_PROG LIBSOUND PKG_CONFIG ALSA_CFLAGS ALSA_LIBS CFLAGS_SOUND SET_MAKE GTK_CFLAGS GTK_LIBS XFT_CFLAGS XFT_LIBS FREETYPE_CFLAGS FREETYPE_LIBS FONTCONFIG_CFLAGS FONTCONFIG_LIBS HAVE_LIBOTF LIBOTF_CFLAGS LIBOTF_LIBS ALLOCA liblockfile LIBOBJS NEED_SETGID KMEM_GROUP GETLOADAVG_LIBS GETOPT_H GETOPTOBJS version configuration canonical srcdir lispdir locallisppath lisppath x_default_search_path etcdir archlibdir docdir bitmapdir gamedir gameuser c_switch_system c_switch_machine LD_SWITCH_X_SITE LD_SWITCH_X_SITE_AUX C_SWITCH_X_SITE X_TOOLKIT_TYPE machfile opsysfile carbon_appdir LTLIBOBJS' | 617 ac_header_list= |
618 ac_func_list= | |
619 ac_subst_vars='SHELL | |
620 PATH_SEPARATOR | |
621 PACKAGE_NAME | |
622 PACKAGE_TARNAME | |
623 PACKAGE_VERSION | |
624 PACKAGE_STRING | |
625 PACKAGE_BUGREPORT | |
626 exec_prefix | |
627 prefix | |
628 program_transform_name | |
629 bindir | |
630 sbindir | |
631 libexecdir | |
632 datarootdir | |
633 datadir | |
634 sysconfdir | |
635 sharedstatedir | |
636 localstatedir | |
637 includedir | |
638 oldincludedir | |
639 docdir | |
640 infodir | |
641 htmldir | |
642 dvidir | |
643 pdfdir | |
644 psdir | |
645 libdir | |
646 localedir | |
647 mandir | |
648 DEFS | |
649 ECHO_C | |
650 ECHO_N | |
651 ECHO_T | |
652 LIBS | |
653 build_alias | |
654 host_alias | |
655 target_alias | |
656 MAINT | |
657 build | |
658 build_cpu | |
659 build_vendor | |
660 build_os | |
661 host | |
662 host_cpu | |
663 host_vendor | |
664 host_os | |
665 CC | |
666 CFLAGS | |
667 LDFLAGS | |
668 CPPFLAGS | |
669 ac_ct_CC | |
670 EXEEXT | |
671 OBJEXT | |
672 CPP | |
673 GREP | |
674 EGREP | |
675 LN_S | |
676 INSTALL_PROGRAM | |
677 INSTALL_SCRIPT | |
678 INSTALL_DATA | |
679 RANLIB | |
680 INSTALL_INFO | |
681 GZIP_PROG | |
682 LIBSOUND | |
683 PKG_CONFIG | |
684 ALSA_CFLAGS | |
685 ALSA_LIBS | |
686 | |
687 CFLAGS_SOUND | |
688 SET_MAKE | |
689 XMKMF | |
690 GTK_CFLAGS | |
691 GTK_LIBS | |
692 XFT_CFLAGS | |
693 XFT_LIBS | |
694 FREETYPE_CFLAGS | |
695 FREETYPE_LIBS | |
696 FONTCONFIG_CFLAGS | |
697 FONTCONFIG_LIBS | |
698 HAVE_LIBOTF | |
699 LIBOTF_CFLAGS | |
700 LIBOTF_LIBS | |
701 ALLOCA | |
702 liblockfile | |
703 LIBOBJS | |
704 NEED_SETGID | |
705 KMEM_GROUP | |
706 GETLOADAVG_LIBS | |
707 GETOPT_H | |
708 GETOPTOBJS | |
709 version | |
710 configuration | |
711 canonical | |
712 srcdir | |
713 lispdir | |
714 locallisppath | |
715 lisppath | |
716 x_default_search_path | |
717 etcdir | |
718 archlibdir | |
719 bitmapdir | |
720 gamedir | |
721 gameuser | |
722 c_switch_system | |
723 c_switch_machine | |
724 LD_SWITCH_X_SITE | |
725 LD_SWITCH_X_SITE_AUX | |
726 C_SWITCH_X_SITE | |
727 X_TOOLKIT_TYPE | |
728 machfile | |
729 opsysfile | |
730 carbon_appdir | |
731 LTLIBOBJS' | |
618 ac_subst_files='' | 732 ac_subst_files='' |
619 ac_precious_vars='build_alias | 733 ac_precious_vars='build_alias |
620 host_alias | 734 host_alias |
621 target_alias | 735 target_alias |
622 CC | 736 CC |
1832 if test "${with_png+set}" = set; then | 1946 if test "${with_png+set}" = set; then |
1833 withval=$with_png; | 1947 withval=$with_png; |
1834 fi | 1948 fi |
1835 | 1949 |
1836 | 1950 |
1837 # Check whether --with-freetype or --without-freetype was given. | 1951 # Check whether --with-freetype was given. |
1838 if test "${with_freetype+set}" = set; then | 1952 if test "${with_freetype+set}" = set; then |
1839 withval="$with_freetype" | 1953 withval=$with_freetype; |
1840 | 1954 fi |
1841 fi; | 1955 |
1842 | 1956 |
1843 # Check whether --with-xft or --without-xft was given. | 1957 # Check whether --with-xft was given. |
1844 if test "${with_xft+set}" = set; then | 1958 if test "${with_xft+set}" = set; then |
1845 withval="$with_xft" | 1959 withval=$with_xft; |
1846 | 1960 fi |
1847 fi; | 1961 |
1848 | 1962 |
1849 # Check whether --with-gtk or --without-gtk was given. | 1963 # Check whether --with-gtk was given. |
1850 if test "${with_gtk+set}" = set; then | 1964 if test "${with_gtk+set}" = set; then |
1851 withval=$with_gtk; | 1965 withval=$with_gtk; |
1852 fi | 1966 fi |
1853 | 1967 |
1854 | 1968 |
1879 if test "${enable_carbon_app+set}" = set; then | 1993 if test "${enable_carbon_app+set}" = set; then |
1880 enableval=$enable_carbon_app; carbon_appdir_x=${enableval} | 1994 enableval=$enable_carbon_app; carbon_appdir_x=${enableval} |
1881 fi | 1995 fi |
1882 | 1996 |
1883 | 1997 |
1884 # Check whether --enable-font-backend or --disable-font-backend was given. | 1998 # Check whether --enable-font-backend was given. |
1885 if test "${enable_font_backend+set}" = set; then | 1999 if test "${enable_font_backend+set}" = set; then |
1886 enableval="$enable_font_backend" | 2000 enableval=$enable_font_backend; USE_FONT_BACKEND=$enableval |
1887 USE_FONT_BACKEND=$enableval | |
1888 else | 2001 else |
1889 USE_FONT_BACKEND=no | 2002 USE_FONT_BACKEND=no |
1890 fi; | 2003 fi |
1891 | 2004 |
1892 # Check whether --enable-asserts or --disable-asserts was given. | 2005 |
2006 # Check whether --enable-asserts was given. | |
1893 if test "${enable_asserts+set}" = set; then | 2007 if test "${enable_asserts+set}" = set; then |
1894 enableval=$enable_asserts; USE_XASSERTS=$enableval | 2008 enableval=$enable_asserts; USE_XASSERTS=$enableval |
1895 else | 2009 else |
1896 USE_XASSERTS=no | 2010 USE_XASSERTS=no |
1897 fi | 2011 fi |
12402 succeeded=no | 12516 succeeded=no |
12403 | 12517 |
12404 if test -z "$PKG_CONFIG"; then | 12518 if test -z "$PKG_CONFIG"; then |
12405 # Extract the first word of "pkg-config", so it can be a program name with args. | 12519 # Extract the first word of "pkg-config", so it can be a program name with args. |
12406 set dummy pkg-config; ac_word=$2 | 12520 set dummy pkg-config; ac_word=$2 |
12407 echo "$as_me:$LINENO: checking for $ac_word" >&5 | 12521 { echo "$as_me:$LINENO: checking for $ac_word" >&5 |
12408 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 | 12522 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } |
12409 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then | 12523 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then |
12410 echo $ECHO_N "(cached) $ECHO_C" >&6 | 12524 echo $ECHO_N "(cached) $ECHO_C" >&6 |
12411 else | 12525 else |
12412 case $PKG_CONFIG in | 12526 case $PKG_CONFIG in |
12413 [\\/]* | ?:[\\/]*) | 12527 [\\/]* | ?:[\\/]*) |
12418 for as_dir in $PATH | 12532 for as_dir in $PATH |
12419 do | 12533 do |
12420 IFS=$as_save_IFS | 12534 IFS=$as_save_IFS |
12421 test -z "$as_dir" && as_dir=. | 12535 test -z "$as_dir" && as_dir=. |
12422 for ac_exec_ext in '' $ac_executable_extensions; do | 12536 for ac_exec_ext in '' $ac_executable_extensions; do |
12423 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then | 12537 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then |
12424 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext" | 12538 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext" |
12425 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 | 12539 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 |
12426 break 2 | 12540 break 2 |
12427 fi | 12541 fi |
12428 done | 12542 done |
12429 done | 12543 done |
12544 IFS=$as_save_IFS | |
12430 | 12545 |
12431 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no" | 12546 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no" |
12432 ;; | 12547 ;; |
12433 esac | 12548 esac |
12434 fi | 12549 fi |
12435 PKG_CONFIG=$ac_cv_path_PKG_CONFIG | 12550 PKG_CONFIG=$ac_cv_path_PKG_CONFIG |
12436 | |
12437 if test -n "$PKG_CONFIG"; then | 12551 if test -n "$PKG_CONFIG"; then |
12438 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5 | 12552 { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5 |
12439 echo "${ECHO_T}$PKG_CONFIG" >&6 | 12553 echo "${ECHO_T}$PKG_CONFIG" >&6; } |
12440 else | 12554 else |
12441 echo "$as_me:$LINENO: result: no" >&5 | 12555 { echo "$as_me:$LINENO: result: no" >&5 |
12442 echo "${ECHO_T}no" >&6 | 12556 echo "${ECHO_T}no" >&6; } |
12443 fi | 12557 fi |
12558 | |
12444 | 12559 |
12445 fi | 12560 fi |
12446 | 12561 |
12447 if test "$PKG_CONFIG" = "no" ; then | 12562 if test "$PKG_CONFIG" = "no" ; then |
12448 echo "*** The pkg-config script could not be found. Make sure it is" | 12563 HAVE_XFT=no |
12449 echo "*** in your path, or give the full path to pkg-config with" | |
12450 echo "*** the PKG_CONFIG environment variable or --with-pkg-config-prog." | |
12451 echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config." | |
12452 else | 12564 else |
12453 PKG_CONFIG_MIN_VERSION=0.9.0 | 12565 PKG_CONFIG_MIN_VERSION=0.9.0 |
12454 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then | 12566 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then |
12455 echo "$as_me:$LINENO: checking for xft >= 0.13.0" >&5 | 12567 { echo "$as_me:$LINENO: checking for xft >= 0.13.0" >&5 |
12456 echo $ECHO_N "checking for xft >= 0.13.0... $ECHO_C" >&6 | 12568 echo $ECHO_N "checking for xft >= 0.13.0... $ECHO_C" >&6; } |
12457 | 12569 |
12458 if $PKG_CONFIG --exists "xft >= 0.13.0" ; then | 12570 if $PKG_CONFIG --exists "xft >= 0.13.0" 2>&5; then |
12459 echo "$as_me:$LINENO: result: yes" >&5 | 12571 { echo "$as_me:$LINENO: result: yes" >&5 |
12460 echo "${ECHO_T}yes" >&6 | 12572 echo "${ECHO_T}yes" >&6; } |
12461 succeeded=yes | 12573 succeeded=yes |
12462 | 12574 |
12463 echo "$as_me:$LINENO: checking XFT_CFLAGS" >&5 | 12575 { echo "$as_me:$LINENO: checking XFT_CFLAGS" >&5 |
12464 echo $ECHO_N "checking XFT_CFLAGS... $ECHO_C" >&6 | 12576 echo $ECHO_N "checking XFT_CFLAGS... $ECHO_C" >&6; } |
12465 XFT_CFLAGS=`$PKG_CONFIG --cflags "xft >= 0.13.0"` | 12577 XFT_CFLAGS=`$PKG_CONFIG --cflags "xft >= 0.13.0"` |
12466 echo "$as_me:$LINENO: result: $XFT_CFLAGS" >&5 | 12578 { echo "$as_me:$LINENO: result: $XFT_CFLAGS" >&5 |
12467 echo "${ECHO_T}$XFT_CFLAGS" >&6 | 12579 echo "${ECHO_T}$XFT_CFLAGS" >&6; } |
12468 | 12580 |
12469 echo "$as_me:$LINENO: checking XFT_LIBS" >&5 | 12581 { echo "$as_me:$LINENO: checking XFT_LIBS" >&5 |
12470 echo $ECHO_N "checking XFT_LIBS... $ECHO_C" >&6 | 12582 echo $ECHO_N "checking XFT_LIBS... $ECHO_C" >&6; } |
12471 XFT_LIBS=`$PKG_CONFIG --libs "xft >= 0.13.0"` | 12583 XFT_LIBS=`$PKG_CONFIG --libs "xft >= 0.13.0"` |
12472 echo "$as_me:$LINENO: result: $XFT_LIBS" >&5 | 12584 { echo "$as_me:$LINENO: result: $XFT_LIBS" >&5 |
12473 echo "${ECHO_T}$XFT_LIBS" >&6 | 12585 echo "${ECHO_T}$XFT_LIBS" >&6; } |
12474 else | 12586 else |
12587 { echo "$as_me:$LINENO: result: no" >&5 | |
12588 echo "${ECHO_T}no" >&6; } | |
12475 XFT_CFLAGS="" | 12589 XFT_CFLAGS="" |
12476 XFT_LIBS="" | 12590 XFT_LIBS="" |
12477 ## If we have a custom action on failure, don't print errors, but | 12591 ## If we have a custom action on failure, don't print errors, but |
12478 ## do set a variable so people can do so. | 12592 ## do set a variable so people can do so. |
12479 XFT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xft >= 0.13.0"` | 12593 XFT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xft >= 0.13.0"` |
12500 OLD_LIBS="$LIBS" | 12614 OLD_LIBS="$LIBS" |
12501 CPPFLAGS="$CPPFLAGS $XFT_CFLAGS" | 12615 CPPFLAGS="$CPPFLAGS $XFT_CFLAGS" |
12502 CFLAGS="$CFLAGS $XFT_CFLAGS" | 12616 CFLAGS="$CFLAGS $XFT_CFLAGS" |
12503 LIBS="$XFT_LIBS $LIBS" | 12617 LIBS="$XFT_LIBS $LIBS" |
12504 if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then | 12618 if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then |
12505 echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5 | 12619 { echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5 |
12506 echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6 | 12620 echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6; } |
12507 if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then | 12621 if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then |
12508 echo $ECHO_N "(cached) $ECHO_C" >&6 | 12622 echo $ECHO_N "(cached) $ECHO_C" >&6 |
12509 fi | 12623 fi |
12510 echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5 | 12624 { echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5 |
12511 echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6 | 12625 echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6; } |
12512 else | 12626 else |
12513 # Is the header compilable? | 12627 # Is the header compilable? |
12514 echo "$as_me:$LINENO: checking X11/Xft/Xft.h usability" >&5 | 12628 { echo "$as_me:$LINENO: checking X11/Xft/Xft.h usability" >&5 |
12515 echo $ECHO_N "checking X11/Xft/Xft.h usability... $ECHO_C" >&6 | 12629 echo $ECHO_N "checking X11/Xft/Xft.h usability... $ECHO_C" >&6; } |
12516 cat >conftest.$ac_ext <<_ACEOF | 12630 cat >conftest.$ac_ext <<_ACEOF |
12517 /* confdefs.h. */ | 12631 /* confdefs.h. */ |
12518 _ACEOF | 12632 _ACEOF |
12519 cat confdefs.h >>conftest.$ac_ext | 12633 cat confdefs.h >>conftest.$ac_ext |
12520 cat >>conftest.$ac_ext <<_ACEOF | 12634 cat >>conftest.$ac_ext <<_ACEOF |
12521 /* end confdefs.h. */ | 12635 /* end confdefs.h. */ |
12522 $ac_includes_default | 12636 $ac_includes_default |
12523 #include <X11/Xft/Xft.h> | 12637 #include <X11/Xft/Xft.h> |
12524 _ACEOF | 12638 _ACEOF |
12525 rm -f conftest.$ac_objext | 12639 rm -f conftest.$ac_objext |
12526 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | 12640 if { (ac_try="$ac_compile" |
12527 (eval $ac_compile) 2>conftest.er1 | 12641 case "(($ac_try" in |
12642 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | |
12643 *) ac_try_echo=$ac_try;; | |
12644 esac | |
12645 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | |
12646 (eval "$ac_compile") 2>conftest.er1 | |
12528 ac_status=$? | 12647 ac_status=$? |
12529 grep -v '^ *+' conftest.er1 >conftest.err | 12648 grep -v '^ *+' conftest.er1 >conftest.err |
12530 rm -f conftest.er1 | 12649 rm -f conftest.er1 |
12531 cat conftest.err >&5 | 12650 cat conftest.err >&5 |
12532 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 12651 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12533 (exit $ac_status); } && | 12652 (exit $ac_status); } && { |
12534 { ac_try='test -z "$ac_c_werror_flag" | 12653 test -z "$ac_c_werror_flag" || |
12535 || test ! -s conftest.err' | 12654 test ! -s conftest.err |
12536 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 12655 } && test -s conftest.$ac_objext; then |
12537 (eval $ac_try) 2>&5 | |
12538 ac_status=$? | |
12539 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
12540 (exit $ac_status); }; } && | |
12541 { ac_try='test -s conftest.$ac_objext' | |
12542 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
12543 (eval $ac_try) 2>&5 | |
12544 ac_status=$? | |
12545 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
12546 (exit $ac_status); }; }; then | |
12547 ac_header_compiler=yes | 12656 ac_header_compiler=yes |
12548 else | 12657 else |
12549 echo "$as_me: failed program was:" >&5 | 12658 echo "$as_me: failed program was:" >&5 |
12550 sed 's/^/| /' conftest.$ac_ext >&5 | 12659 sed 's/^/| /' conftest.$ac_ext >&5 |
12551 | 12660 |
12552 ac_header_compiler=no | 12661 ac_header_compiler=no |
12553 fi | 12662 fi |
12554 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext | 12663 |
12555 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 | 12664 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext |
12556 echo "${ECHO_T}$ac_header_compiler" >&6 | 12665 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 |
12666 echo "${ECHO_T}$ac_header_compiler" >&6; } | |
12557 | 12667 |
12558 # Is the header present? | 12668 # Is the header present? |
12559 echo "$as_me:$LINENO: checking X11/Xft/Xft.h presence" >&5 | 12669 { echo "$as_me:$LINENO: checking X11/Xft/Xft.h presence" >&5 |
12560 echo $ECHO_N "checking X11/Xft/Xft.h presence... $ECHO_C" >&6 | 12670 echo $ECHO_N "checking X11/Xft/Xft.h presence... $ECHO_C" >&6; } |
12561 cat >conftest.$ac_ext <<_ACEOF | 12671 cat >conftest.$ac_ext <<_ACEOF |
12562 /* confdefs.h. */ | 12672 /* confdefs.h. */ |
12563 _ACEOF | 12673 _ACEOF |
12564 cat confdefs.h >>conftest.$ac_ext | 12674 cat confdefs.h >>conftest.$ac_ext |
12565 cat >>conftest.$ac_ext <<_ACEOF | 12675 cat >>conftest.$ac_ext <<_ACEOF |
12566 /* end confdefs.h. */ | 12676 /* end confdefs.h. */ |
12567 #include <X11/Xft/Xft.h> | 12677 #include <X11/Xft/Xft.h> |
12568 _ACEOF | 12678 _ACEOF |
12569 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 | 12679 if { (ac_try="$ac_cpp conftest.$ac_ext" |
12570 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 | 12680 case "(($ac_try" in |
12681 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | |
12682 *) ac_try_echo=$ac_try;; | |
12683 esac | |
12684 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | |
12685 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1 | |
12571 ac_status=$? | 12686 ac_status=$? |
12572 grep -v '^ *+' conftest.er1 >conftest.err | 12687 grep -v '^ *+' conftest.er1 >conftest.err |
12573 rm -f conftest.er1 | 12688 rm -f conftest.er1 |
12574 cat conftest.err >&5 | 12689 cat conftest.err >&5 |
12575 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 12690 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12576 (exit $ac_status); } >/dev/null; then | 12691 (exit $ac_status); } >/dev/null && { |
12577 if test -s conftest.err; then | 12692 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" || |
12578 ac_cpp_err=$ac_c_preproc_warn_flag | 12693 test ! -s conftest.err |
12579 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag | 12694 }; then |
12580 else | |
12581 ac_cpp_err= | |
12582 fi | |
12583 else | |
12584 ac_cpp_err=yes | |
12585 fi | |
12586 if test -z "$ac_cpp_err"; then | |
12587 ac_header_preproc=yes | 12695 ac_header_preproc=yes |
12588 else | 12696 else |
12589 echo "$as_me: failed program was:" >&5 | 12697 echo "$as_me: failed program was:" >&5 |
12590 sed 's/^/| /' conftest.$ac_ext >&5 | 12698 sed 's/^/| /' conftest.$ac_ext >&5 |
12591 | 12699 |
12592 ac_header_preproc=no | 12700 ac_header_preproc=no |
12593 fi | 12701 fi |
12702 | |
12594 rm -f conftest.err conftest.$ac_ext | 12703 rm -f conftest.err conftest.$ac_ext |
12595 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 | 12704 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 |
12596 echo "${ECHO_T}$ac_header_preproc" >&6 | 12705 echo "${ECHO_T}$ac_header_preproc" >&6; } |
12597 | 12706 |
12598 # So? What about this header? | 12707 # So? What about this header? |
12599 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in | 12708 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in |
12600 yes:no: ) | 12709 yes:no: ) |
12601 { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: accepted by the compiler, rejected by the preprocessor!" >&5 | 12710 { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: accepted by the compiler, rejected by the preprocessor!" >&5 |
12615 echo "$as_me: WARNING: X11/Xft/Xft.h: section \"Present But Cannot Be Compiled\"" >&2;} | 12724 echo "$as_me: WARNING: X11/Xft/Xft.h: section \"Present But Cannot Be Compiled\"" >&2;} |
12616 { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: proceeding with the preprocessor's result" >&5 | 12725 { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: proceeding with the preprocessor's result" >&5 |
12617 echo "$as_me: WARNING: X11/Xft/Xft.h: proceeding with the preprocessor's result" >&2;} | 12726 echo "$as_me: WARNING: X11/Xft/Xft.h: proceeding with the preprocessor's result" >&2;} |
12618 { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: in the future, the compiler will take precedence" >&5 | 12727 { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: in the future, the compiler will take precedence" >&5 |
12619 echo "$as_me: WARNING: X11/Xft/Xft.h: in the future, the compiler will take precedence" >&2;} | 12728 echo "$as_me: WARNING: X11/Xft/Xft.h: in the future, the compiler will take precedence" >&2;} |
12620 ( | 12729 |
12621 cat <<\_ASBOX | |
12622 ## ------------------------------------------ ## | |
12623 ## Report this to the AC_PACKAGE_NAME lists. ## | |
12624 ## ------------------------------------------ ## | |
12625 _ASBOX | |
12626 ) | | |
12627 sed "s/^/$as_me: WARNING: /" >&2 | |
12628 ;; | 12730 ;; |
12629 esac | 12731 esac |
12630 echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5 | 12732 { echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5 |
12631 echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6 | 12733 echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6; } |
12632 if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then | 12734 if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then |
12633 echo $ECHO_N "(cached) $ECHO_C" >&6 | 12735 echo $ECHO_N "(cached) $ECHO_C" >&6 |
12634 else | 12736 else |
12635 ac_cv_header_X11_Xft_Xft_h=$ac_header_preproc | 12737 ac_cv_header_X11_Xft_Xft_h=$ac_header_preproc |
12636 fi | 12738 fi |
12637 echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5 | 12739 { echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5 |
12638 echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6 | 12740 echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6; } |
12639 | 12741 |
12640 fi | 12742 fi |
12641 if test $ac_cv_header_X11_Xft_Xft_h = yes; then | 12743 if test $ac_cv_header_X11_Xft_Xft_h = yes; then |
12642 echo "$as_me:$LINENO: checking for XftFontOpen in -lXft" >&5 | 12744 { echo "$as_me:$LINENO: checking for XftFontOpen in -lXft" >&5 |
12643 echo $ECHO_N "checking for XftFontOpen in -lXft... $ECHO_C" >&6 | 12745 echo $ECHO_N "checking for XftFontOpen in -lXft... $ECHO_C" >&6; } |
12644 if test "${ac_cv_lib_Xft_XftFontOpen+set}" = set; then | 12746 if test "${ac_cv_lib_Xft_XftFontOpen+set}" = set; then |
12645 echo $ECHO_N "(cached) $ECHO_C" >&6 | 12747 echo $ECHO_N "(cached) $ECHO_C" >&6 |
12646 else | 12748 else |
12647 ac_check_lib_save_LIBS=$LIBS | 12749 ac_check_lib_save_LIBS=$LIBS |
12648 LIBS="-lXft $XFT_LIBS $LIBS" | 12750 LIBS="-lXft $XFT_LIBS $LIBS" |
12651 _ACEOF | 12753 _ACEOF |
12652 cat confdefs.h >>conftest.$ac_ext | 12754 cat confdefs.h >>conftest.$ac_ext |
12653 cat >>conftest.$ac_ext <<_ACEOF | 12755 cat >>conftest.$ac_ext <<_ACEOF |
12654 /* end confdefs.h. */ | 12756 /* end confdefs.h. */ |
12655 | 12757 |
12656 /* Override any gcc2 internal prototype to avoid an error. */ | 12758 /* Override any GCC internal prototype to avoid an error. |
12759 Use char because int might match the return type of a GCC | |
12760 builtin and then its argument prototype would still apply. */ | |
12657 #ifdef __cplusplus | 12761 #ifdef __cplusplus |
12658 extern "C" | 12762 extern "C" |
12659 #endif | 12763 #endif |
12660 /* We use char because int might match the return type of a gcc2 | |
12661 builtin and then its argument prototype would still apply. */ | |
12662 char XftFontOpen (); | 12764 char XftFontOpen (); |
12663 int | 12765 int |
12664 main () | 12766 main () |
12665 { | 12767 { |
12666 XftFontOpen (); | 12768 return XftFontOpen (); |
12667 ; | 12769 ; |
12668 return 0; | 12770 return 0; |
12669 } | 12771 } |
12670 _ACEOF | 12772 _ACEOF |
12671 rm -f conftest.$ac_objext conftest$ac_exeext | 12773 rm -f conftest.$ac_objext conftest$ac_exeext |
12672 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | 12774 if { (ac_try="$ac_link" |
12673 (eval $ac_link) 2>conftest.er1 | 12775 case "(($ac_try" in |
12776 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | |
12777 *) ac_try_echo=$ac_try;; | |
12778 esac | |
12779 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | |
12780 (eval "$ac_link") 2>conftest.er1 | |
12674 ac_status=$? | 12781 ac_status=$? |
12675 grep -v '^ *+' conftest.er1 >conftest.err | 12782 grep -v '^ *+' conftest.er1 >conftest.err |
12676 rm -f conftest.er1 | 12783 rm -f conftest.er1 |
12677 cat conftest.err >&5 | 12784 cat conftest.err >&5 |
12678 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 12785 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12679 (exit $ac_status); } && | 12786 (exit $ac_status); } && { |
12680 { ac_try='test -z "$ac_c_werror_flag" | 12787 test -z "$ac_c_werror_flag" || |
12681 || test ! -s conftest.err' | 12788 test ! -s conftest.err |
12682 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 12789 } && test -s conftest$ac_exeext && |
12683 (eval $ac_try) 2>&5 | 12790 $as_test_x conftest$ac_exeext; then |
12684 ac_status=$? | |
12685 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
12686 (exit $ac_status); }; } && | |
12687 { ac_try='test -s conftest$ac_exeext' | |
12688 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
12689 (eval $ac_try) 2>&5 | |
12690 ac_status=$? | |
12691 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
12692 (exit $ac_status); }; }; then | |
12693 ac_cv_lib_Xft_XftFontOpen=yes | 12791 ac_cv_lib_Xft_XftFontOpen=yes |
12694 else | 12792 else |
12695 echo "$as_me: failed program was:" >&5 | 12793 echo "$as_me: failed program was:" >&5 |
12696 sed 's/^/| /' conftest.$ac_ext >&5 | 12794 sed 's/^/| /' conftest.$ac_ext >&5 |
12697 | 12795 |
12698 ac_cv_lib_Xft_XftFontOpen=no | 12796 ac_cv_lib_Xft_XftFontOpen=no |
12699 fi | 12797 fi |
12700 rm -f conftest.err conftest.$ac_objext \ | 12798 |
12799 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | |
12701 conftest$ac_exeext conftest.$ac_ext | 12800 conftest$ac_exeext conftest.$ac_ext |
12702 LIBS=$ac_check_lib_save_LIBS | 12801 LIBS=$ac_check_lib_save_LIBS |
12703 fi | 12802 fi |
12704 echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftFontOpen" >&5 | 12803 { echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftFontOpen" >&5 |
12705 echo "${ECHO_T}$ac_cv_lib_Xft_XftFontOpen" >&6 | 12804 echo "${ECHO_T}$ac_cv_lib_Xft_XftFontOpen" >&6; } |
12706 if test $ac_cv_lib_Xft_XftFontOpen = yes; then | 12805 if test $ac_cv_lib_Xft_XftFontOpen = yes; then |
12707 HAVE_XFT=yes | 12806 HAVE_XFT=yes |
12708 fi | 12807 fi |
12709 | 12808 |
12710 fi | 12809 fi |
12741 succeeded=no | 12840 succeeded=no |
12742 | 12841 |
12743 if test -z "$PKG_CONFIG"; then | 12842 if test -z "$PKG_CONFIG"; then |
12744 # Extract the first word of "pkg-config", so it can be a program name with args. | 12843 # Extract the first word of "pkg-config", so it can be a program name with args. |
12745 set dummy pkg-config; ac_word=$2 | 12844 set dummy pkg-config; ac_word=$2 |
12746 echo "$as_me:$LINENO: checking for $ac_word" >&5 | 12845 { echo "$as_me:$LINENO: checking for $ac_word" >&5 |
12747 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 | 12846 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } |
12748 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then | 12847 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then |
12749 echo $ECHO_N "(cached) $ECHO_C" >&6 | 12848 echo $ECHO_N "(cached) $ECHO_C" >&6 |
12750 else | 12849 else |
12751 case $PKG_CONFIG in | 12850 case $PKG_CONFIG in |
12752 [\\/]* | ?:[\\/]*) | 12851 [\\/]* | ?:[\\/]*) |
12757 for as_dir in $PATH | 12856 for as_dir in $PATH |
12758 do | 12857 do |
12759 IFS=$as_save_IFS | 12858 IFS=$as_save_IFS |
12760 test -z "$as_dir" && as_dir=. | 12859 test -z "$as_dir" && as_dir=. |
12761 for ac_exec_ext in '' $ac_executable_extensions; do | 12860 for ac_exec_ext in '' $ac_executable_extensions; do |
12762 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then | 12861 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then |
12763 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext" | 12862 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext" |
12764 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 | 12863 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 |
12765 break 2 | 12864 break 2 |
12766 fi | 12865 fi |
12767 done | 12866 done |
12768 done | 12867 done |
12868 IFS=$as_save_IFS | |
12769 | 12869 |
12770 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no" | 12870 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no" |
12771 ;; | 12871 ;; |
12772 esac | 12872 esac |
12773 fi | 12873 fi |
12774 PKG_CONFIG=$ac_cv_path_PKG_CONFIG | 12874 PKG_CONFIG=$ac_cv_path_PKG_CONFIG |
12775 | |
12776 if test -n "$PKG_CONFIG"; then | 12875 if test -n "$PKG_CONFIG"; then |
12777 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5 | 12876 { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5 |
12778 echo "${ECHO_T}$PKG_CONFIG" >&6 | 12877 echo "${ECHO_T}$PKG_CONFIG" >&6; } |
12779 else | 12878 else |
12780 echo "$as_me:$LINENO: result: no" >&5 | 12879 { echo "$as_me:$LINENO: result: no" >&5 |
12781 echo "${ECHO_T}no" >&6 | 12880 echo "${ECHO_T}no" >&6; } |
12782 fi | 12881 fi |
12882 | |
12783 | 12883 |
12784 fi | 12884 fi |
12785 | 12885 |
12786 if test "$PKG_CONFIG" = "no" ; then | 12886 if test "$PKG_CONFIG" = "no" ; then |
12787 echo "*** The pkg-config script could not be found. Make sure it is" | 12887 HAVE_FREETYPE=no |
12788 echo "*** in your path, or give the full path to pkg-config with" | |
12789 echo "*** the PKG_CONFIG environment variable or --with-pkg-config-prog." | |
12790 echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config." | |
12791 else | 12888 else |
12792 PKG_CONFIG_MIN_VERSION=0.9.0 | 12889 PKG_CONFIG_MIN_VERSION=0.9.0 |
12793 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then | 12890 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then |
12794 echo "$as_me:$LINENO: checking for freetype2" >&5 | 12891 { echo "$as_me:$LINENO: checking for freetype2" >&5 |
12795 echo $ECHO_N "checking for freetype2... $ECHO_C" >&6 | 12892 echo $ECHO_N "checking for freetype2... $ECHO_C" >&6; } |
12796 | 12893 |
12797 if $PKG_CONFIG --exists "freetype2" ; then | 12894 if $PKG_CONFIG --exists "freetype2" 2>&5; then |
12798 echo "$as_me:$LINENO: result: yes" >&5 | 12895 { echo "$as_me:$LINENO: result: yes" >&5 |
12799 echo "${ECHO_T}yes" >&6 | 12896 echo "${ECHO_T}yes" >&6; } |
12800 succeeded=yes | 12897 succeeded=yes |
12801 | 12898 |
12802 echo "$as_me:$LINENO: checking FREETYPE_CFLAGS" >&5 | 12899 { echo "$as_me:$LINENO: checking FREETYPE_CFLAGS" >&5 |
12803 echo $ECHO_N "checking FREETYPE_CFLAGS... $ECHO_C" >&6 | 12900 echo $ECHO_N "checking FREETYPE_CFLAGS... $ECHO_C" >&6; } |
12804 FREETYPE_CFLAGS=`$PKG_CONFIG --cflags "freetype2"` | 12901 FREETYPE_CFLAGS=`$PKG_CONFIG --cflags "freetype2"` |
12805 echo "$as_me:$LINENO: result: $FREETYPE_CFLAGS" >&5 | 12902 { echo "$as_me:$LINENO: result: $FREETYPE_CFLAGS" >&5 |
12806 echo "${ECHO_T}$FREETYPE_CFLAGS" >&6 | 12903 echo "${ECHO_T}$FREETYPE_CFLAGS" >&6; } |
12807 | 12904 |
12808 echo "$as_me:$LINENO: checking FREETYPE_LIBS" >&5 | 12905 { echo "$as_me:$LINENO: checking FREETYPE_LIBS" >&5 |
12809 echo $ECHO_N "checking FREETYPE_LIBS... $ECHO_C" >&6 | 12906 echo $ECHO_N "checking FREETYPE_LIBS... $ECHO_C" >&6; } |
12810 FREETYPE_LIBS=`$PKG_CONFIG --libs "freetype2"` | 12907 FREETYPE_LIBS=`$PKG_CONFIG --libs "freetype2"` |
12811 echo "$as_me:$LINENO: result: $FREETYPE_LIBS" >&5 | 12908 { echo "$as_me:$LINENO: result: $FREETYPE_LIBS" >&5 |
12812 echo "${ECHO_T}$FREETYPE_LIBS" >&6 | 12909 echo "${ECHO_T}$FREETYPE_LIBS" >&6; } |
12813 else | 12910 else |
12911 { echo "$as_me:$LINENO: result: no" >&5 | |
12912 echo "${ECHO_T}no" >&6; } | |
12814 FREETYPE_CFLAGS="" | 12913 FREETYPE_CFLAGS="" |
12815 FREETYPE_LIBS="" | 12914 FREETYPE_LIBS="" |
12816 ## If we have a custom action on failure, don't print errors, but | 12915 ## If we have a custom action on failure, don't print errors, but |
12817 ## do set a variable so people can do so. | 12916 ## do set a variable so people can do so. |
12818 FREETYPE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "freetype2"` | 12917 FREETYPE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "freetype2"` |
12838 succeeded=no | 12937 succeeded=no |
12839 | 12938 |
12840 if test -z "$PKG_CONFIG"; then | 12939 if test -z "$PKG_CONFIG"; then |
12841 # Extract the first word of "pkg-config", so it can be a program name with args. | 12940 # Extract the first word of "pkg-config", so it can be a program name with args. |
12842 set dummy pkg-config; ac_word=$2 | 12941 set dummy pkg-config; ac_word=$2 |
12843 echo "$as_me:$LINENO: checking for $ac_word" >&5 | 12942 { echo "$as_me:$LINENO: checking for $ac_word" >&5 |
12844 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 | 12943 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } |
12845 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then | 12944 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then |
12846 echo $ECHO_N "(cached) $ECHO_C" >&6 | 12945 echo $ECHO_N "(cached) $ECHO_C" >&6 |
12847 else | 12946 else |
12848 case $PKG_CONFIG in | 12947 case $PKG_CONFIG in |
12849 [\\/]* | ?:[\\/]*) | 12948 [\\/]* | ?:[\\/]*) |
12854 for as_dir in $PATH | 12953 for as_dir in $PATH |
12855 do | 12954 do |
12856 IFS=$as_save_IFS | 12955 IFS=$as_save_IFS |
12857 test -z "$as_dir" && as_dir=. | 12956 test -z "$as_dir" && as_dir=. |
12858 for ac_exec_ext in '' $ac_executable_extensions; do | 12957 for ac_exec_ext in '' $ac_executable_extensions; do |
12859 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then | 12958 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then |
12860 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext" | 12959 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext" |
12861 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 | 12960 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 |
12862 break 2 | 12961 break 2 |
12863 fi | 12962 fi |
12864 done | 12963 done |
12865 done | 12964 done |
12965 IFS=$as_save_IFS | |
12866 | 12966 |
12867 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no" | 12967 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no" |
12868 ;; | 12968 ;; |
12869 esac | 12969 esac |
12870 fi | 12970 fi |
12871 PKG_CONFIG=$ac_cv_path_PKG_CONFIG | 12971 PKG_CONFIG=$ac_cv_path_PKG_CONFIG |
12872 | |
12873 if test -n "$PKG_CONFIG"; then | 12972 if test -n "$PKG_CONFIG"; then |
12874 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5 | 12973 { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5 |
12875 echo "${ECHO_T}$PKG_CONFIG" >&6 | 12974 echo "${ECHO_T}$PKG_CONFIG" >&6; } |
12876 else | 12975 else |
12877 echo "$as_me:$LINENO: result: no" >&5 | 12976 { echo "$as_me:$LINENO: result: no" >&5 |
12878 echo "${ECHO_T}no" >&6 | 12977 echo "${ECHO_T}no" >&6; } |
12879 fi | 12978 fi |
12979 | |
12880 | 12980 |
12881 fi | 12981 fi |
12882 | 12982 |
12883 if test "$PKG_CONFIG" = "no" ; then | 12983 if test "$PKG_CONFIG" = "no" ; then |
12884 echo "*** The pkg-config script could not be found. Make sure it is" | 12984 HAVE_FC=no |
12885 echo "*** in your path, or give the full path to pkg-config with" | |
12886 echo "*** the PKG_CONFIG environment variable or --with-pkg-config-prog." | |
12887 echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config." | |
12888 else | 12985 else |
12889 PKG_CONFIG_MIN_VERSION=0.9.0 | 12986 PKG_CONFIG_MIN_VERSION=0.9.0 |
12890 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then | 12987 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then |
12891 echo "$as_me:$LINENO: checking for fontconfig" >&5 | 12988 { echo "$as_me:$LINENO: checking for fontconfig" >&5 |
12892 echo $ECHO_N "checking for fontconfig... $ECHO_C" >&6 | 12989 echo $ECHO_N "checking for fontconfig... $ECHO_C" >&6; } |
12893 | 12990 |
12894 if $PKG_CONFIG --exists "fontconfig" ; then | 12991 if $PKG_CONFIG --exists "fontconfig" 2>&5; then |
12895 echo "$as_me:$LINENO: result: yes" >&5 | 12992 { echo "$as_me:$LINENO: result: yes" >&5 |
12896 echo "${ECHO_T}yes" >&6 | 12993 echo "${ECHO_T}yes" >&6; } |
12897 succeeded=yes | 12994 succeeded=yes |
12898 | 12995 |
12899 echo "$as_me:$LINENO: checking FONTCONFIG_CFLAGS" >&5 | 12996 { echo "$as_me:$LINENO: checking FONTCONFIG_CFLAGS" >&5 |
12900 echo $ECHO_N "checking FONTCONFIG_CFLAGS... $ECHO_C" >&6 | 12997 echo $ECHO_N "checking FONTCONFIG_CFLAGS... $ECHO_C" >&6; } |
12901 FONTCONFIG_CFLAGS=`$PKG_CONFIG --cflags "fontconfig"` | 12998 FONTCONFIG_CFLAGS=`$PKG_CONFIG --cflags "fontconfig"` |
12902 echo "$as_me:$LINENO: result: $FONTCONFIG_CFLAGS" >&5 | 12999 { echo "$as_me:$LINENO: result: $FONTCONFIG_CFLAGS" >&5 |
12903 echo "${ECHO_T}$FONTCONFIG_CFLAGS" >&6 | 13000 echo "${ECHO_T}$FONTCONFIG_CFLAGS" >&6; } |
12904 | 13001 |
12905 echo "$as_me:$LINENO: checking FONTCONFIG_LIBS" >&5 | 13002 { echo "$as_me:$LINENO: checking FONTCONFIG_LIBS" >&5 |
12906 echo $ECHO_N "checking FONTCONFIG_LIBS... $ECHO_C" >&6 | 13003 echo $ECHO_N "checking FONTCONFIG_LIBS... $ECHO_C" >&6; } |
12907 FONTCONFIG_LIBS=`$PKG_CONFIG --libs "fontconfig"` | 13004 FONTCONFIG_LIBS=`$PKG_CONFIG --libs "fontconfig"` |
12908 echo "$as_me:$LINENO: result: $FONTCONFIG_LIBS" >&5 | 13005 { echo "$as_me:$LINENO: result: $FONTCONFIG_LIBS" >&5 |
12909 echo "${ECHO_T}$FONTCONFIG_LIBS" >&6 | 13006 echo "${ECHO_T}$FONTCONFIG_LIBS" >&6; } |
12910 else | 13007 else |
13008 { echo "$as_me:$LINENO: result: no" >&5 | |
13009 echo "${ECHO_T}no" >&6; } | |
12911 FONTCONFIG_CFLAGS="" | 13010 FONTCONFIG_CFLAGS="" |
12912 FONTCONFIG_LIBS="" | 13011 FONTCONFIG_LIBS="" |
12913 ## If we have a custom action on failure, don't print errors, but | 13012 ## If we have a custom action on failure, don't print errors, but |
12914 ## do set a variable so people can do so. | 13013 ## do set a variable so people can do so. |
12915 FONTCONFIG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "fontconfig"` | 13014 FONTCONFIG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "fontconfig"` |
12941 #define HAVE_FREETYPE 1 | 13040 #define HAVE_FREETYPE 1 |
12942 _ACEOF | 13041 _ACEOF |
12943 | 13042 |
12944 # Extract the first word of "libotf-config", so it can be a program name with args. | 13043 # Extract the first word of "libotf-config", so it can be a program name with args. |
12945 set dummy libotf-config; ac_word=$2 | 13044 set dummy libotf-config; ac_word=$2 |
12946 echo "$as_me:$LINENO: checking for $ac_word" >&5 | 13045 { echo "$as_me:$LINENO: checking for $ac_word" >&5 |
12947 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 | 13046 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } |
12948 if test "${ac_cv_prog_HAVE_LIBOTF+set}" = set; then | 13047 if test "${ac_cv_prog_HAVE_LIBOTF+set}" = set; then |
12949 echo $ECHO_N "(cached) $ECHO_C" >&6 | 13048 echo $ECHO_N "(cached) $ECHO_C" >&6 |
12950 else | 13049 else |
12951 if test -n "$HAVE_LIBOTF"; then | 13050 if test -n "$HAVE_LIBOTF"; then |
12952 ac_cv_prog_HAVE_LIBOTF="$HAVE_LIBOTF" # Let the user override the test. | 13051 ac_cv_prog_HAVE_LIBOTF="$HAVE_LIBOTF" # Let the user override the test. |
12955 for as_dir in $PATH | 13054 for as_dir in $PATH |
12956 do | 13055 do |
12957 IFS=$as_save_IFS | 13056 IFS=$as_save_IFS |
12958 test -z "$as_dir" && as_dir=. | 13057 test -z "$as_dir" && as_dir=. |
12959 for ac_exec_ext in '' $ac_executable_extensions; do | 13058 for ac_exec_ext in '' $ac_executable_extensions; do |
12960 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then | 13059 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then |
12961 ac_cv_prog_HAVE_LIBOTF="yes" | 13060 ac_cv_prog_HAVE_LIBOTF="yes" |
12962 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 | 13061 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 |
12963 break 2 | 13062 break 2 |
12964 fi | 13063 fi |
12965 done | 13064 done |
12966 done | 13065 done |
13066 IFS=$as_save_IFS | |
12967 | 13067 |
12968 test -z "$ac_cv_prog_HAVE_LIBOTF" && ac_cv_prog_HAVE_LIBOTF="no" | 13068 test -z "$ac_cv_prog_HAVE_LIBOTF" && ac_cv_prog_HAVE_LIBOTF="no" |
12969 fi | 13069 fi |
12970 fi | 13070 fi |
12971 HAVE_LIBOTF=$ac_cv_prog_HAVE_LIBOTF | 13071 HAVE_LIBOTF=$ac_cv_prog_HAVE_LIBOTF |
12972 if test -n "$HAVE_LIBOTF"; then | 13072 if test -n "$HAVE_LIBOTF"; then |
12973 echo "$as_me:$LINENO: result: $HAVE_LIBOTF" >&5 | 13073 { echo "$as_me:$LINENO: result: $HAVE_LIBOTF" >&5 |
12974 echo "${ECHO_T}$HAVE_LIBOTF" >&6 | 13074 echo "${ECHO_T}$HAVE_LIBOTF" >&6; } |
12975 else | 13075 else |
12976 echo "$as_me:$LINENO: result: no" >&5 | 13076 { echo "$as_me:$LINENO: result: no" >&5 |
12977 echo "${ECHO_T}no" >&6 | 13077 echo "${ECHO_T}no" >&6; } |
12978 fi | 13078 fi |
13079 | |
12979 | 13080 |
12980 if test "${HAVE_LIBOTF}" = "yes"; then | 13081 if test "${HAVE_LIBOTF}" = "yes"; then |
12981 | 13082 |
12982 cat >>confdefs.h <<\_ACEOF | 13083 cat >>confdefs.h <<\_ACEOF |
12983 #define HAVE_LIBOTF 1 | 13084 #define HAVE_LIBOTF 1 |
14149 ac_status=$? | 14250 ac_status=$? |
14150 grep -v '^ *+' conftest.er1 >conftest.err | 14251 grep -v '^ *+' conftest.er1 >conftest.err |
14151 rm -f conftest.er1 | 14252 rm -f conftest.er1 |
14152 cat conftest.err >&5 | 14253 cat conftest.err >&5 |
14153 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 14254 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
14154 (exit $ac_status); } && | 14255 (exit $ac_status); } && { |
14155 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 14256 test -z "$ac_c_werror_flag" || |
14156 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 14257 test ! -s conftest.err |
14157 (eval $ac_try) 2>&5 | 14258 } && test -s conftest.$ac_objext; then |
14158 ac_status=$? | |
14159 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
14160 (exit $ac_status); }; } && | |
14161 { ac_try='test -s conftest.$ac_objext' | |
14162 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
14163 (eval $ac_try) 2>&5 | |
14164 ac_status=$? | |
14165 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
14166 (exit $ac_status); }; }; then | |
14167 ac_header_compiler=yes | 14259 ac_header_compiler=yes |
14168 else | 14260 else |
14169 echo "$as_me: failed program was:" >&5 | 14261 echo "$as_me: failed program was:" >&5 |
14170 sed 's/^/| /' conftest.$ac_ext >&5 | 14262 sed 's/^/| /' conftest.$ac_ext >&5 |
14171 | 14263 |
15626 ac_status=$? | 15718 ac_status=$? |
15627 grep -v '^ *+' conftest.er1 >conftest.err | 15719 grep -v '^ *+' conftest.er1 >conftest.err |
15628 rm -f conftest.er1 | 15720 rm -f conftest.er1 |
15629 cat conftest.err >&5 | 15721 cat conftest.err >&5 |
15630 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 15722 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
15631 (exit $ac_status); } && | 15723 (exit $ac_status); } && { |
15632 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 15724 test -z "$ac_c_werror_flag" || |
15633 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 15725 test ! -s conftest.err |
15634 (eval $ac_try) 2>&5 | 15726 } && test -s conftest.$ac_objext; then |
15635 ac_status=$? | |
15636 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
15637 (exit $ac_status); }; } && | |
15638 { ac_try='test -s conftest.$ac_objext' | |
15639 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
15640 (eval $ac_try) 2>&5 | |
15641 ac_status=$? | |
15642 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
15643 (exit $ac_status); }; }; then | |
15644 ac_header_compiler=yes | 15727 ac_header_compiler=yes |
15645 else | 15728 else |
15646 echo "$as_me: failed program was:" >&5 | 15729 echo "$as_me: failed program was:" >&5 |
15647 sed 's/^/| /' conftest.$ac_ext >&5 | 15730 sed 's/^/| /' conftest.$ac_ext >&5 |
15648 | 15731 |
16420 ac_status=$? | 16503 ac_status=$? |
16421 grep -v '^ *+' conftest.er1 >conftest.err | 16504 grep -v '^ *+' conftest.er1 >conftest.err |
16422 rm -f conftest.er1 | 16505 rm -f conftest.er1 |
16423 cat conftest.err >&5 | 16506 cat conftest.err >&5 |
16424 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 16507 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
16425 (exit $ac_status); } && | 16508 (exit $ac_status); } && { |
16426 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 16509 test -z "$ac_c_werror_flag" || |
16427 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 16510 test ! -s conftest.err |
16428 (eval $ac_try) 2>&5 | 16511 } && test -s conftest$ac_exeext && |
16429 ac_status=$? | 16512 $as_test_x conftest$ac_exeext; then |
16430 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
16431 (exit $ac_status); }; } && | |
16432 { ac_try='test -s conftest$ac_exeext' | |
16433 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
16434 (eval $ac_try) 2>&5 | |
16435 ac_status=$? | |
16436 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
16437 (exit $ac_status); }; }; then | |
16438 eval "$as_ac_var=yes" | 16513 eval "$as_ac_var=yes" |
16439 else | 16514 else |
16440 echo "$as_me: failed program was:" >&5 | 16515 echo "$as_me: failed program was:" >&5 |
16441 sed 's/^/| /' conftest.$ac_ext >&5 | 16516 sed 's/^/| /' conftest.$ac_ext >&5 |
16442 | 16517 |
16577 ac_status=$? | 16652 ac_status=$? |
16578 grep -v '^ *+' conftest.er1 >conftest.err | 16653 grep -v '^ *+' conftest.er1 >conftest.err |
16579 rm -f conftest.er1 | 16654 rm -f conftest.er1 |
16580 cat conftest.err >&5 | 16655 cat conftest.err >&5 |
16581 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 16656 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
16582 (exit $ac_status); } && | 16657 (exit $ac_status); } && { |
16583 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 16658 test -z "$ac_c_werror_flag" || |
16584 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 16659 test ! -s conftest.err |
16585 (eval $ac_try) 2>&5 | 16660 } && test -s conftest$ac_exeext && |
16586 ac_status=$? | 16661 $as_test_x conftest$ac_exeext; then |
16587 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
16588 (exit $ac_status); }; } && | |
16589 { ac_try='test -s conftest$ac_exeext' | |
16590 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
16591 (eval $ac_try) 2>&5 | |
16592 ac_status=$? | |
16593 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
16594 (exit $ac_status); }; }; then | |
16595 ac_cv_lib_elf_elf_begin=yes | 16662 ac_cv_lib_elf_elf_begin=yes |
16596 else | 16663 else |
16597 echo "$as_me: failed program was:" >&5 | 16664 echo "$as_me: failed program was:" >&5 |
16598 sed 's/^/| /' conftest.$ac_ext >&5 | 16665 sed 's/^/| /' conftest.$ac_ext >&5 |
16599 | 16666 |
16652 ac_status=$? | 16719 ac_status=$? |
16653 grep -v '^ *+' conftest.er1 >conftest.err | 16720 grep -v '^ *+' conftest.er1 >conftest.err |
16654 rm -f conftest.er1 | 16721 rm -f conftest.er1 |
16655 cat conftest.err >&5 | 16722 cat conftest.err >&5 |
16656 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 16723 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
16657 (exit $ac_status); } && | 16724 (exit $ac_status); } && { |
16658 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 16725 test -z "$ac_c_werror_flag" || |
16659 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 16726 test ! -s conftest.err |
16660 (eval $ac_try) 2>&5 | 16727 } && test -s conftest$ac_exeext && |
16661 ac_status=$? | 16728 $as_test_x conftest$ac_exeext; then |
16662 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
16663 (exit $ac_status); }; } && | |
16664 { ac_try='test -s conftest$ac_exeext' | |
16665 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
16666 (eval $ac_try) 2>&5 | |
16667 ac_status=$? | |
16668 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
16669 (exit $ac_status); }; }; then | |
16670 ac_cv_lib_kvm_kvm_open=yes | 16729 ac_cv_lib_kvm_kvm_open=yes |
16671 else | 16730 else |
16672 echo "$as_me: failed program was:" >&5 | 16731 echo "$as_me: failed program was:" >&5 |
16673 sed 's/^/| /' conftest.$ac_ext >&5 | 16732 sed 's/^/| /' conftest.$ac_ext >&5 |
16674 | 16733 |
16726 ac_status=$? | 16785 ac_status=$? |
16727 grep -v '^ *+' conftest.er1 >conftest.err | 16786 grep -v '^ *+' conftest.er1 >conftest.err |
16728 rm -f conftest.er1 | 16787 rm -f conftest.er1 |
16729 cat conftest.err >&5 | 16788 cat conftest.err >&5 |
16730 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 16789 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
16731 (exit $ac_status); } && | 16790 (exit $ac_status); } && { |
16732 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 16791 test -z "$ac_c_werror_flag" || |
16733 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 16792 test ! -s conftest.err |
16734 (eval $ac_try) 2>&5 | 16793 } && test -s conftest$ac_exeext && |
16735 ac_status=$? | 16794 $as_test_x conftest$ac_exeext; then |
16736 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
16737 (exit $ac_status); }; } && | |
16738 { ac_try='test -s conftest$ac_exeext' | |
16739 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
16740 (eval $ac_try) 2>&5 | |
16741 ac_status=$? | |
16742 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
16743 (exit $ac_status); }; }; then | |
16744 ac_cv_lib_util_getloadavg=yes | 16795 ac_cv_lib_util_getloadavg=yes |
16745 else | 16796 else |
16746 echo "$as_me: failed program was:" >&5 | 16797 echo "$as_me: failed program was:" >&5 |
16747 sed 's/^/| /' conftest.$ac_ext >&5 | 16798 sed 's/^/| /' conftest.$ac_ext >&5 |
16748 | 16799 |
18014 ac_status=$? | 18065 ac_status=$? |
18015 grep -v '^ *+' conftest.er1 >conftest.err | 18066 grep -v '^ *+' conftest.er1 >conftest.err |
18016 rm -f conftest.er1 | 18067 rm -f conftest.er1 |
18017 cat conftest.err >&5 | 18068 cat conftest.err >&5 |
18018 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 18069 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
18019 (exit $ac_status); } && | 18070 (exit $ac_status); } && { |
18020 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 18071 test -z "$ac_c_werror_flag" || |
18021 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 18072 test ! -s conftest.err |
18022 (eval $ac_try) 2>&5 | 18073 } && test -s conftest.$ac_objext; then |
18023 ac_status=$? | |
18024 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
18025 (exit $ac_status); }; } && | |
18026 { ac_try='test -s conftest.$ac_objext' | |
18027 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
18028 (eval $ac_try) 2>&5 | |
18029 ac_status=$? | |
18030 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
18031 (exit $ac_status); }; }; then | |
18032 ac_cv_member_struct_nlist_n_un_n_name=yes | 18074 ac_cv_member_struct_nlist_n_un_n_name=yes |
18033 else | 18075 else |
18034 echo "$as_me: failed program was:" >&5 | 18076 echo "$as_me: failed program was:" >&5 |
18035 sed 's/^/| /' conftest.$ac_ext >&5 | 18077 sed 's/^/| /' conftest.$ac_ext >&5 |
18036 | 18078 |
18244 rm -f conftest* | 18286 rm -f conftest* |
18245 | 18287 |
18246 # We used to try defining _XOPEN_SOURCE=500 too, to work around a bug | 18288 # We used to try defining _XOPEN_SOURCE=500 too, to work around a bug |
18247 # in glibc 2.1.3, but that breaks too many other things. | 18289 # in glibc 2.1.3, but that breaks too many other things. |
18248 # If you want fseeko and ftello with glibc, upgrade to a fixed glibc. | 18290 # If you want fseeko and ftello with glibc, upgrade to a fixed glibc. |
18249 echo "$as_me:$LINENO: checking for fseeko" >&5 | 18291 if test $ac_cv_sys_largefile_source != unknown; then |
18250 echo $ECHO_N "checking for fseeko... $ECHO_C" >&6 | |
18251 if test "${ac_cv_func_fseeko+set}" = set; then | |
18252 echo $ECHO_N "(cached) $ECHO_C" >&6 | |
18253 else | |
18254 cat >conftest.$ac_ext <<_ACEOF | |
18255 /* confdefs.h. */ | |
18256 _ACEOF | |
18257 cat confdefs.h >>conftest.$ac_ext | |
18258 cat >>conftest.$ac_ext <<_ACEOF | |
18259 /* end confdefs.h. */ | |
18260 #include <stdio.h> | |
18261 int | |
18262 main () | |
18263 { | |
18264 return fseeko && fseeko (stdin, 0, 0); | |
18265 ; | |
18266 return 0; | |
18267 } | |
18268 _ACEOF | |
18269 rm -f conftest.$ac_objext conftest$ac_exeext | |
18270 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | |
18271 (eval $ac_link) 2>conftest.er1 | |
18272 ac_status=$? | |
18273 grep -v '^ *+' conftest.er1 >conftest.err | |
18274 rm -f conftest.er1 | |
18275 cat conftest.err >&5 | |
18276 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
18277 (exit $ac_status); } && | |
18278 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
18279 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
18280 (eval $ac_try) 2>&5 | |
18281 ac_status=$? | |
18282 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
18283 (exit $ac_status); }; } && | |
18284 { ac_try='test -s conftest$ac_exeext' | |
18285 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
18286 (eval $ac_try) 2>&5 | |
18287 ac_status=$? | |
18288 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
18289 (exit $ac_status); }; }; then | |
18290 ac_cv_func_fseeko=yes | |
18291 else | |
18292 echo "$as_me: failed program was:" >&5 | |
18293 sed 's/^/| /' conftest.$ac_ext >&5 | |
18294 | |
18295 ac_cv_func_fseeko=no | |
18296 fi | |
18297 rm -f conftest.err conftest.$ac_objext \ | |
18298 conftest$ac_exeext conftest.$ac_ext | |
18299 fi | |
18300 echo "$as_me:$LINENO: result: $ac_cv_func_fseeko" >&5 | |
18301 echo "${ECHO_T}$ac_cv_func_fseeko" >&6 | |
18302 if test $ac_cv_func_fseeko = yes; then | |
18303 | 18292 |
18304 cat >>confdefs.h <<\_ACEOF | 18293 cat >>confdefs.h <<\_ACEOF |
18305 #define HAVE_FSEEKO 1 | 18294 #define HAVE_FSEEKO 1 |
18306 _ACEOF | 18295 _ACEOF |
18307 | 18296 |
18608 ac_status=$? | 18597 ac_status=$? |
18609 grep -v '^ *+' conftest.er1 >conftest.err | 18598 grep -v '^ *+' conftest.er1 >conftest.err |
18610 rm -f conftest.er1 | 18599 rm -f conftest.er1 |
18611 cat conftest.err >&5 | 18600 cat conftest.err >&5 |
18612 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 18601 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
18613 (exit $ac_status); } && | 18602 (exit $ac_status); } && { |
18614 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 18603 test -z "$ac_c_werror_flag" || |
18615 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 18604 test ! -s conftest.err |
18616 (eval $ac_try) 2>&5 | 18605 } && test -s conftest.$ac_objext; then |
18617 ac_status=$? | |
18618 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
18619 (exit $ac_status); }; } && | |
18620 { ac_try='test -s conftest.$ac_objext' | |
18621 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
18622 (eval $ac_try) 2>&5 | |
18623 ac_status=$? | |
18624 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
18625 (exit $ac_status); }; }; then | |
18626 ac_cv_have_decl_optreset=yes | 18606 ac_cv_have_decl_optreset=yes |
18627 else | 18607 else |
18628 echo "$as_me: failed program was:" >&5 | 18608 echo "$as_me: failed program was:" >&5 |
18629 sed 's/^/| /' conftest.$ac_ext >&5 | 18609 sed 's/^/| /' conftest.$ac_ext >&5 |
18630 | 18610 |
18984 ac_status=$? | 18964 ac_status=$? |
18985 grep -v '^ *+' conftest.er1 >conftest.err | 18965 grep -v '^ *+' conftest.er1 >conftest.err |
18986 rm -f conftest.er1 | 18966 rm -f conftest.er1 |
18987 cat conftest.err >&5 | 18967 cat conftest.err >&5 |
18988 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 18968 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
18989 (exit $ac_status); } && | 18969 (exit $ac_status); } && { |
18990 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 18970 test -z "$ac_c_werror_flag" || |
18991 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 18971 test ! -s conftest.err |
18992 (eval $ac_try) 2>&5 | 18972 } && test -s conftest$ac_exeext && |
18993 ac_status=$? | 18973 $as_test_x conftest$ac_exeext; then |
18994 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
18995 (exit $ac_status); }; } && | |
18996 { ac_try='test -s conftest$ac_exeext' | |
18997 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
18998 (eval $ac_try) 2>&5 | |
18999 ac_status=$? | |
19000 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
19001 (exit $ac_status); }; }; then | |
19002 ac_cv_lib_intl_strftime=yes | 18974 ac_cv_lib_intl_strftime=yes |
19003 else | 18975 else |
19004 echo "$as_me: failed program was:" >&5 | 18976 echo "$as_me: failed program was:" >&5 |
19005 sed 's/^/| /' conftest.$ac_ext >&5 | 18977 sed 's/^/| /' conftest.$ac_ext >&5 |
19006 | 18978 |
19442 ac_status=$? | 19414 ac_status=$? |
19443 grep -v '^ *+' conftest.er1 >conftest.err | 19415 grep -v '^ *+' conftest.er1 >conftest.err |
19444 rm -f conftest.er1 | 19416 rm -f conftest.er1 |
19445 cat conftest.err >&5 | 19417 cat conftest.err >&5 |
19446 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 19418 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
19447 (exit $ac_status); } && | 19419 (exit $ac_status); } && { |
19448 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 19420 test -z "$ac_c_werror_flag" || |
19449 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 19421 test ! -s conftest.err |
19450 (eval $ac_try) 2>&5 | 19422 } && test -s conftest$ac_exeext && |
19451 ac_status=$? | 19423 $as_test_x conftest$ac_exeext; then |
19452 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
19453 (exit $ac_status); }; } && | |
19454 { ac_try='test -s conftest$ac_exeext' | |
19455 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
19456 (eval $ac_try) 2>&5 | |
19457 ac_status=$? | |
19458 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
19459 (exit $ac_status); }; }; then | |
19460 ac_cv_func___res_send=yes | 19424 ac_cv_func___res_send=yes |
19461 else | 19425 else |
19462 echo "$as_me: failed program was:" >&5 | 19426 echo "$as_me: failed program was:" >&5 |
19463 sed 's/^/| /' conftest.$ac_ext >&5 | 19427 sed 's/^/| /' conftest.$ac_ext >&5 |
19464 | 19428 |
19742 ac_status=$? | 19706 ac_status=$? |
19743 grep -v '^ *+' conftest.er1 >conftest.err | 19707 grep -v '^ *+' conftest.er1 >conftest.err |
19744 rm -f conftest.er1 | 19708 rm -f conftest.er1 |
19745 cat conftest.err >&5 | 19709 cat conftest.err >&5 |
19746 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 19710 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
19747 (exit $ac_status); } && | 19711 (exit $ac_status); } && { |
19748 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 19712 test -z "$ac_c_werror_flag" || |
19749 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 19713 test ! -s conftest.err |
19750 (eval $ac_try) 2>&5 | 19714 } && test -s conftest$ac_exeext && |
19751 ac_status=$? | 19715 $as_test_x conftest$ac_exeext; then |
19752 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
19753 (exit $ac_status); }; } && | |
19754 { ac_try='test -s conftest$ac_exeext' | |
19755 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
19756 (eval $ac_try) 2>&5 | |
19757 ac_status=$? | |
19758 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
19759 (exit $ac_status); }; }; then | |
19760 ac_cv_lib_hesiod_hes_getmailhost=yes | 19716 ac_cv_lib_hesiod_hes_getmailhost=yes |
19761 else | 19717 else |
19762 echo "$as_me: failed program was:" >&5 | 19718 echo "$as_me: failed program was:" >&5 |
19763 sed 's/^/| /' conftest.$ac_ext >&5 | 19719 sed 's/^/| /' conftest.$ac_ext >&5 |
19764 | 19720 |
21945 ac_status=$? | 21901 ac_status=$? |
21946 grep -v '^ *+' conftest.er1 >conftest.err | 21902 grep -v '^ *+' conftest.er1 >conftest.err |
21947 rm -f conftest.er1 | 21903 rm -f conftest.er1 |
21948 cat conftest.err >&5 | 21904 cat conftest.err >&5 |
21949 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 21905 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
21950 (exit $ac_status); } && | 21906 (exit $ac_status); } && { |
21951 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 21907 test -z "$ac_c_werror_flag" || |
21952 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 21908 test ! -s conftest.err |
21953 (eval $ac_try) 2>&5 | 21909 } && test -s conftest.$ac_objext; then |
21954 ac_status=$? | |
21955 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
21956 (exit $ac_status); }; } && | |
21957 { ac_try='test -s conftest.$ac_objext' | |
21958 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
21959 (eval $ac_try) 2>&5 | |
21960 ac_status=$? | |
21961 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
21962 (exit $ac_status); }; }; then | |
21963 ac_header_compiler=yes | 21910 ac_header_compiler=yes |
21964 else | 21911 else |
21965 echo "$as_me: failed program was:" >&5 | 21912 echo "$as_me: failed program was:" >&5 |
21966 sed 's/^/| /' conftest.$ac_ext >&5 | 21913 sed 's/^/| /' conftest.$ac_ext >&5 |
21967 | 21914 |
23006 ac_status=$? | 22953 ac_status=$? |
23007 grep -v '^ *+' conftest.er1 >conftest.err | 22954 grep -v '^ *+' conftest.er1 >conftest.err |
23008 rm -f conftest.er1 | 22955 rm -f conftest.er1 |
23009 cat conftest.err >&5 | 22956 cat conftest.err >&5 |
23010 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 22957 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
23011 (exit $ac_status); } && | 22958 (exit $ac_status); } && { |
23012 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 22959 test -z "$ac_c_werror_flag" || |
23013 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 22960 test ! -s conftest.err |
23014 (eval $ac_try) 2>&5 | 22961 } && test -s conftest.$ac_objext; then |
23015 ac_status=$? | |
23016 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
23017 (exit $ac_status); }; } && | |
23018 { ac_try='test -s conftest.$ac_objext' | |
23019 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
23020 (eval $ac_try) 2>&5 | |
23021 ac_status=$? | |
23022 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
23023 (exit $ac_status); }; }; then | |
23024 ac_cv_type_size_t=yes | 22962 ac_cv_type_size_t=yes |
23025 else | 22963 else |
23026 echo "$as_me: failed program was:" >&5 | 22964 echo "$as_me: failed program was:" >&5 |
23027 sed 's/^/| /' conftest.$ac_ext >&5 | 22965 sed 's/^/| /' conftest.$ac_ext >&5 |
23028 | 22966 |
23075 ac_status=$? | 23013 ac_status=$? |
23076 grep -v '^ *+' conftest.er1 >conftest.err | 23014 grep -v '^ *+' conftest.er1 >conftest.err |
23077 rm -f conftest.er1 | 23015 rm -f conftest.er1 |
23078 cat conftest.err >&5 | 23016 cat conftest.err >&5 |
23079 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 23017 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
23080 (exit $ac_status); } && | 23018 (exit $ac_status); } && { |
23081 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | 23019 test -z "$ac_c_werror_flag" || |
23082 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 23020 test ! -s conftest.err |
23083 (eval $ac_try) 2>&5 | 23021 } && test -s conftest.$ac_objext; then |
23084 ac_status=$? | |
23085 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
23086 (exit $ac_status); }; } && | |
23087 { ac_try='test -s conftest.$ac_objext' | |
23088 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
23089 (eval $ac_try) 2>&5 | |
23090 ac_status=$? | |
23091 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
23092 (exit $ac_status); }; }; then | |
23093 ac_cv_type_mbstate_t=yes | 23022 ac_cv_type_mbstate_t=yes |
23094 else | 23023 else |
23095 echo "$as_me: failed program was:" >&5 | 23024 echo "$as_me: failed program was:" >&5 |
23096 sed 's/^/| /' conftest.$ac_ext >&5 | 23025 sed 's/^/| /' conftest.$ac_ext >&5 |
23097 | 23026 |
24208 CFLAGS_SOUND!$CFLAGS_SOUND$ac_delim | 24137 CFLAGS_SOUND!$CFLAGS_SOUND$ac_delim |
24209 SET_MAKE!$SET_MAKE$ac_delim | 24138 SET_MAKE!$SET_MAKE$ac_delim |
24210 XMKMF!$XMKMF$ac_delim | 24139 XMKMF!$XMKMF$ac_delim |
24211 GTK_CFLAGS!$GTK_CFLAGS$ac_delim | 24140 GTK_CFLAGS!$GTK_CFLAGS$ac_delim |
24212 GTK_LIBS!$GTK_LIBS$ac_delim | 24141 GTK_LIBS!$GTK_LIBS$ac_delim |
24142 XFT_CFLAGS!$XFT_CFLAGS$ac_delim | |
24143 XFT_LIBS!$XFT_LIBS$ac_delim | |
24144 FREETYPE_CFLAGS!$FREETYPE_CFLAGS$ac_delim | |
24145 FREETYPE_LIBS!$FREETYPE_LIBS$ac_delim | |
24146 FONTCONFIG_CFLAGS!$FONTCONFIG_CFLAGS$ac_delim | |
24147 FONTCONFIG_LIBS!$FONTCONFIG_LIBS$ac_delim | |
24148 HAVE_LIBOTF!$HAVE_LIBOTF$ac_delim | |
24149 LIBOTF_CFLAGS!$LIBOTF_CFLAGS$ac_delim | |
24150 LIBOTF_LIBS!$LIBOTF_LIBS$ac_delim | |
24213 ALLOCA!$ALLOCA$ac_delim | 24151 ALLOCA!$ALLOCA$ac_delim |
24214 liblockfile!$liblockfile$ac_delim | 24152 liblockfile!$liblockfile$ac_delim |
24215 LIBOBJS!$LIBOBJS$ac_delim | 24153 LIBOBJS!$LIBOBJS$ac_delim |
24216 NEED_SETGID!$NEED_SETGID$ac_delim | 24154 NEED_SETGID!$NEED_SETGID$ac_delim |
24217 KMEM_GROUP!$KMEM_GROUP$ac_delim | 24155 KMEM_GROUP!$KMEM_GROUP$ac_delim |
24224 srcdir!$srcdir$ac_delim | 24162 srcdir!$srcdir$ac_delim |
24225 lispdir!$lispdir$ac_delim | 24163 lispdir!$lispdir$ac_delim |
24226 locallisppath!$locallisppath$ac_delim | 24164 locallisppath!$locallisppath$ac_delim |
24227 lisppath!$lisppath$ac_delim | 24165 lisppath!$lisppath$ac_delim |
24228 x_default_search_path!$x_default_search_path$ac_delim | 24166 x_default_search_path!$x_default_search_path$ac_delim |
24229 etcdir!$etcdir$ac_delim | |
24230 archlibdir!$archlibdir$ac_delim | |
24231 bitmapdir!$bitmapdir$ac_delim | |
24232 gamedir!$gamedir$ac_delim | |
24233 gameuser!$gameuser$ac_delim | |
24234 c_switch_system!$c_switch_system$ac_delim | |
24235 c_switch_machine!$c_switch_machine$ac_delim | |
24236 LD_SWITCH_X_SITE!$LD_SWITCH_X_SITE$ac_delim | |
24237 LD_SWITCH_X_SITE_AUX!$LD_SWITCH_X_SITE_AUX$ac_delim | |
24238 _ACEOF | 24167 _ACEOF |
24239 | 24168 |
24240 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then | 24169 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then |
24241 break | 24170 break |
24242 elif $ac_last_try; then | 24171 elif $ac_last_try; then |
24274 | 24203 |
24275 | 24204 |
24276 ac_delim='%!_!# ' | 24205 ac_delim='%!_!# ' |
24277 for ac_last_try in false false false false false :; do | 24206 for ac_last_try in false false false false false :; do |
24278 cat >conf$$subs.sed <<_ACEOF | 24207 cat >conf$$subs.sed <<_ACEOF |
24208 etcdir!$etcdir$ac_delim | |
24209 archlibdir!$archlibdir$ac_delim | |
24210 bitmapdir!$bitmapdir$ac_delim | |
24211 gamedir!$gamedir$ac_delim | |
24212 gameuser!$gameuser$ac_delim | |
24213 c_switch_system!$c_switch_system$ac_delim | |
24214 c_switch_machine!$c_switch_machine$ac_delim | |
24215 LD_SWITCH_X_SITE!$LD_SWITCH_X_SITE$ac_delim | |
24216 LD_SWITCH_X_SITE_AUX!$LD_SWITCH_X_SITE_AUX$ac_delim | |
24279 C_SWITCH_X_SITE!$C_SWITCH_X_SITE$ac_delim | 24217 C_SWITCH_X_SITE!$C_SWITCH_X_SITE$ac_delim |
24280 X_TOOLKIT_TYPE!$X_TOOLKIT_TYPE$ac_delim | 24218 X_TOOLKIT_TYPE!$X_TOOLKIT_TYPE$ac_delim |
24281 machfile!$machfile$ac_delim | 24219 machfile!$machfile$ac_delim |
24282 opsysfile!$opsysfile$ac_delim | 24220 opsysfile!$opsysfile$ac_delim |
24283 carbon_appdir!$carbon_appdir$ac_delim | 24221 carbon_appdir!$carbon_appdir$ac_delim |
24284 LTLIBOBJS!$LTLIBOBJS$ac_delim | 24222 LTLIBOBJS!$LTLIBOBJS$ac_delim |
24285 _ACEOF | 24223 _ACEOF |
24286 | 24224 |
24287 # No need to generate the scripts if there are no CONFIG_FILES. | 24225 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 15; then |
24288 # This happens for instance when ./config.status config.h | 24226 break |
24289 if test -n "\$CONFIG_FILES"; then | 24227 elif $ac_last_try; then |
24290 # Protect against being on the right side of a sed subst in config.status. | 24228 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 |
24291 sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g; | 24229 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} |
24292 s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF | 24230 { (exit 1); exit 1; }; } |
24293 s,@SHELL@,$SHELL,;t t | 24231 else |
24294 s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t | 24232 ac_delim="$ac_delim!$ac_delim _$ac_delim!! " |
24295 s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t | |
24296 s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t | |
24297 s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t | |
24298 s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t | |
24299 s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t | |
24300 s,@exec_prefix@,$exec_prefix,;t t | |
24301 s,@prefix@,$prefix,;t t | |
24302 s,@program_transform_name@,$program_transform_name,;t t | |
24303 s,@bindir@,$bindir,;t t | |
24304 s,@sbindir@,$sbindir,;t t | |
24305 s,@libexecdir@,$libexecdir,;t t | |
24306 s,@datadir@,$datadir,;t t | |
24307 s,@sysconfdir@,$sysconfdir,;t t | |
24308 s,@sharedstatedir@,$sharedstatedir,;t t | |
24309 s,@localstatedir@,$localstatedir,;t t | |
24310 s,@libdir@,$libdir,;t t | |
24311 s,@includedir@,$includedir,;t t | |
24312 s,@oldincludedir@,$oldincludedir,;t t | |
24313 s,@infodir@,$infodir,;t t | |
24314 s,@mandir@,$mandir,;t t | |
24315 s,@build_alias@,$build_alias,;t t | |
24316 s,@host_alias@,$host_alias,;t t | |
24317 s,@target_alias@,$target_alias,;t t | |
24318 s,@DEFS@,$DEFS,;t t | |
24319 s,@ECHO_C@,$ECHO_C,;t t | |
24320 s,@ECHO_N@,$ECHO_N,;t t | |
24321 s,@ECHO_T@,$ECHO_T,;t t | |
24322 s,@LIBS@,$LIBS,;t t | |
24323 s,@MAINT@,$MAINT,;t t | |
24324 s,@build@,$build,;t t | |
24325 s,@build_cpu@,$build_cpu,;t t | |
24326 s,@build_vendor@,$build_vendor,;t t | |
24327 s,@build_os@,$build_os,;t t | |
24328 s,@host@,$host,;t t | |
24329 s,@host_cpu@,$host_cpu,;t t | |
24330 s,@host_vendor@,$host_vendor,;t t | |
24331 s,@host_os@,$host_os,;t t | |
24332 s,@CC@,$CC,;t t | |
24333 s,@CFLAGS@,$CFLAGS,;t t | |
24334 s,@LDFLAGS@,$LDFLAGS,;t t | |
24335 s,@CPPFLAGS@,$CPPFLAGS,;t t | |
24336 s,@ac_ct_CC@,$ac_ct_CC,;t t | |
24337 s,@EXEEXT@,$EXEEXT,;t t | |
24338 s,@OBJEXT@,$OBJEXT,;t t | |
24339 s,@CPP@,$CPP,;t t | |
24340 s,@EGREP@,$EGREP,;t t | |
24341 s,@LN_S@,$LN_S,;t t | |
24342 s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t | |
24343 s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t | |
24344 s,@INSTALL_DATA@,$INSTALL_DATA,;t t | |
24345 s,@RANLIB@,$RANLIB,;t t | |
24346 s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t | |
24347 s,@INSTALL_INFO@,$INSTALL_INFO,;t t | |
24348 s,@GZIP_PROG@,$GZIP_PROG,;t t | |
24349 s,@LIBSOUND@,$LIBSOUND,;t t | |
24350 s,@PKG_CONFIG@,$PKG_CONFIG,;t t | |
24351 s,@ALSA_CFLAGS@,$ALSA_CFLAGS,;t t | |
24352 s,@ALSA_LIBS@,$ALSA_LIBS,;t t | |
24353 s,@CFLAGS_SOUND@,$CFLAGS_SOUND,;t t | |
24354 s,@SET_MAKE@,$SET_MAKE,;t t | |
24355 s,@GTK_CFLAGS@,$GTK_CFLAGS,;t t | |
24356 s,@GTK_LIBS@,$GTK_LIBS,;t t | |
24357 s,@XFT_CFLAGS@,$XFT_CFLAGS,;t t | |
24358 s,@XFT_LIBS@,$XFT_LIBS,;t t | |
24359 s,@FREETYPE_CFLAGS@,$FREETYPE_CFLAGS,;t t | |
24360 s,@FREETYPE_LIBS@,$FREETYPE_LIBS,;t t | |
24361 s,@FONTCONFIG_CFLAGS@,$FONTCONFIG_CFLAGS,;t t | |
24362 s,@FONTCONFIG_LIBS@,$FONTCONFIG_LIBS,;t t | |
24363 s,@HAVE_LIBOTF@,$HAVE_LIBOTF,;t t | |
24364 s,@LIBOTF_CFLAGS@,$LIBOTF_CFLAGS,;t t | |
24365 s,@LIBOTF_LIBS@,$LIBOTF_LIBS,;t t | |
24366 s,@ALLOCA@,$ALLOCA,;t t | |
24367 s,@liblockfile@,$liblockfile,;t t | |
24368 s,@LIBOBJS@,$LIBOBJS,;t t | |
24369 s,@NEED_SETGID@,$NEED_SETGID,;t t | |
24370 s,@KMEM_GROUP@,$KMEM_GROUP,;t t | |
24371 s,@GETLOADAVG_LIBS@,$GETLOADAVG_LIBS,;t t | |
24372 s,@GETOPT_H@,$GETOPT_H,;t t | |
24373 s,@GETOPTOBJS@,$GETOPTOBJS,;t t | |
24374 s,@version@,$version,;t t | |
24375 s,@configuration@,$configuration,;t t | |
24376 s,@canonical@,$canonical,;t t | |
24377 s,@srcdir@,$srcdir,;t t | |
24378 s,@lispdir@,$lispdir,;t t | |
24379 s,@locallisppath@,$locallisppath,;t t | |
24380 s,@lisppath@,$lisppath,;t t | |
24381 s,@x_default_search_path@,$x_default_search_path,;t t | |
24382 s,@etcdir@,$etcdir,;t t | |
24383 s,@archlibdir@,$archlibdir,;t t | |
24384 s,@docdir@,$docdir,;t t | |
24385 s,@bitmapdir@,$bitmapdir,;t t | |
24386 s,@gamedir@,$gamedir,;t t | |
24387 s,@gameuser@,$gameuser,;t t | |
24388 s,@c_switch_system@,$c_switch_system,;t t | |
24389 s,@c_switch_machine@,$c_switch_machine,;t t | |
24390 s,@LD_SWITCH_X_SITE@,$LD_SWITCH_X_SITE,;t t | |
24391 s,@LD_SWITCH_X_SITE_AUX@,$LD_SWITCH_X_SITE_AUX,;t t | |
24392 s,@C_SWITCH_X_SITE@,$C_SWITCH_X_SITE,;t t | |
24393 s,@X_TOOLKIT_TYPE@,$X_TOOLKIT_TYPE,;t t | |
24394 s,@machfile@,$machfile,;t t | |
24395 s,@opsysfile@,$opsysfile,;t t | |
24396 s,@carbon_appdir@,$carbon_appdir,;t t | |
24397 s,@LTLIBOBJS@,$LTLIBOBJS,;t t | |
24398 CEOF | |
24399 | |
24400 _ACEOF | |
24401 | |
24402 cat >>$CONFIG_STATUS <<\_ACEOF | |
24403 # Split the substitutions into bite-sized pieces for seds with | |
24404 # small command number limits, like on Digital OSF/1 and HP-UX. | |
24405 ac_max_sed_lines=48 | |
24406 ac_sed_frag=1 # Number of current file. | |
24407 ac_beg=1 # First line for current file. | |
24408 ac_end=$ac_max_sed_lines # Line after last line for current file. | |
24409 ac_more_lines=: | |
24410 ac_sed_cmds= | |
24411 while $ac_more_lines; do | |
24412 if test $ac_beg -gt 1; then | |
24413 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag | |
24414 else | |
24415 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag | |
24416 fi | |
24417 if test ! -s $tmp/subs.frag; then | |
24418 ac_more_lines=false | |
24419 else | |
24420 # The purpose of the label and of the branching condition is to | |
24421 # speed up the sed processing (if there are no `@' at all, there | |
24422 # is no need to browse any of the substitutions). | |
24423 # These are the two extra sed commands mentioned above. | |
24424 (echo ':t | |
24425 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed | |
24426 if test -z "$ac_sed_cmds"; then | |
24427 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed" | |
24428 else | |
24429 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed" | |
24430 fi | |
24431 ac_sed_frag=`expr $ac_sed_frag + 1` | |
24432 ac_beg=$ac_end | |
24433 ac_end=`expr $ac_end + $ac_max_sed_lines` | |
24434 fi | |
24435 done | |
24436 if test -z "$ac_sed_cmds"; then | |
24437 ac_sed_cmds=cat | |
24438 fi | 24233 fi |
24439 done | 24234 done |
24440 | 24235 |
24441 ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed` | 24236 ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed` |
24442 if test -n "$ac_eof"; then | 24237 if test -n "$ac_eof"; then |